# Post

## Create a new embed

### Parameters:

| Name         | Optional / Required | Data type | Description                                                                                | Default |
| ------------ | ------------------- | --------- | ------------------------------------------------------------------------------------------ | ------- |
| document\_id | required            | Integer   | One of your document ids or a public document id from the Yumpu Users                      |         |
| type         | required            | Integer   | 1 (player), 2 (logo), 3 (link), 4 (button), 5 (cover), 6 (bookshelf) or 7 (player\_preset) |         |

#### Request parameters by type (1 = player)

| Name                            | Optional / Required | Data type | Description                                                                                                                       | Default               |
| ------------------------------- | ------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
| start\_page                     | optional            | Integer   | Start magazine from page x                                                                                                        | 1                     |
| width                           | optional            | Integer   | Width of the embed                                                                                                                | 620                   |
| height                          | optional            | Integer   | Height of the embed                                                                                                               | 580                   |
| page\_view                      | optional            | String    | single\_page or double\_page                                                                                                      | double\_page          |
| title                           | optional            | String    | Max. characters 255                                                                                                               | Magazine title        |
| title\_font\_family             | optional            | String    | The font family used. It can be a system font or a Google Font (Attention: Some Google Fonts may be loaded through external APIs) | ABeeZee:regular:latin |
| title\_font\_weight             | optional            | String    | Bold (y) or normal (n) font weight                                                                                                | n                     |
| title\_font\_style              | optional            | String    | Italic font (y or n)                                                                                                              | n                     |
| title\_font\_size               | optional            | Integer   | Font size in px (8 - 76)                                                                                                          | 14                    |
| title\_font\_color              | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | ffffff                |
| headline\_enabled               | optional            | String    | Display headline (title must also be set) - y or n                                                                                | y                     |
| username\_enabled               | optional            | String    | Display username (title must also be set) - y or n                                                                                | y                     |
| background\_color               | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | 253139                |
| fullscreen\_background\_color   | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | 253139                |
| outline\_enabled                | optional            | String    | Display a border of the embed (y or n)                                                                                            | n                     |
| outline\_size                   | optional            | Integer   | Border width (1 - 5)                                                                                                              | 1                     |
| outline\_color                  | optional            | String    | Border color (hexadecimal value, 6 characters)                                                                                    | 333333                |
| icons\_color                    | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | ffffff                |
| arrows\_color                   | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | ffffff                |
| text\_font\_weight              | optional            | String    | Bold (y) or normal (n) font weight                                                                                                | n                     |
| text\_font\_style               | optional            | String    | Italic font (y or n)                                                                                                              | n                     |
| player\_autoflip\_enabled       | optional            | String    | Autoflip pages (y or n)                                                                                                           | n                     |
| player\_c2r\_enabled            | optional            | String    | Display click to read button (y or n)                                                                                             | y                     |
| player\_c2r\_text               | optional            | String    | Click to read text                                                                                                                | Click to read         |
| player\_c2r\_destination        | optional            | String    | Onclick link of click to read button (fullscreen or on yumpu)                                                                     | fullscreen            |
| player\_c2r\_type               | optional            | String    | Template style of click to read button (buttonClassic, buttonRounded, iconEye, iconPlay)                                          | buttonClassic         |
| player\_c2r\_mobile             | optional            | String    | Template style of click to read button in mobile (buttonClassic, buttonRounded, iconEye, iconPlay)                                | buttonClassic         |
| player\_elements\_page\_numbers | optional            | String    | Display page numbers (y or n)                                                                                                     | y                     |
| player\_elements\_logo          | optional            | String    | Display logo (y or n)                                                                                                             | y                     |
| player\_elements\_overview      | optional            | String    | Display overview (y or n)                                                                                                         | y                     |
| player\_elements\_search\_embed | optional            | String    | Display search button in GUI when embedded == true (y or n)                                                                       | n                     |
| player\_elements\_fs\_share     | optional            | String    | Display facebook link (y or n)                                                                                                    | y                     |
| player\_elements\_fs\_download  | optional            | String    | Display download link (y or n)                                                                                                    | y                     |
| player\_elements\_fs\_print     | optional            | String    | Display link to print the magazine (y or n)                                                                                       | y                     |
| player\_elements\_fs\_recom     | optional            | String    | Display recommended (y or n)                                                                                                      | y                     |

#### Request parameters by type (2 = logo)

| Name                    | Optional / Required | Data type | Description                                        | Default  |
| ----------------------- | ------------------- | --------- | -------------------------------------------------- | -------- |
| width                   | optional            | Integer   | Width of the embed                                 | 64       |
| background\_shape       | optional            | String    | Template of the embed (circle, rounded, square, y) | circle   |
| color                   | optional            | String    | Color (orange, white, black, grey)                 | orange   |
| destination             | optional            | String    | Onclick link (magazinePage or magazine)            | magazine |
| destination\_fullscreen | optional            | String    | Onclick link fullscreen (y or n)                   | n        |

#### Request parameters by type (3 = link)

| Name                    | Optional / Required | Data type | Description                                                                                                                       | Default               |
| ----------------------- | ------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
| width                   | optional            | Integer   | Width of the embed                                                                                                                | 271                   |
| height                  | optional            | Integer   | Height of the embed                                                                                                               | 43                    |
| title                   | optional            | String    | Max. characters 255                                                                                                               | Magazine title        |
| title\_font\_family     | optional            | String    | The font family used. It can be a system font or a Google Font (Attention: Some Google Fonts may be loaded through external APIs) | ABeeZee:regular:latin |
| title\_font\_weight     | optional            | String    | Bold (y) or normal (n) font weight                                                                                                | n                     |
| title\_font\_style      | optional            | String    | Italic font (y or n)                                                                                                              | n                     |
| title\_font\_size       | optional            | Integer   | Font size in px (8 - 76)                                                                                                          | 14                    |
| title\_font\_color      | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | 0082b2                |
| background\_color       | optional            | String    | Hexadecimal value, 6 characters or transparent                                                                                    | transparent           |
| outline\_enabled        | optional            | String    | Display a border of the embed (y or n)                                                                                            | n                     |
| outline\_size           | optional            | Integer   | Border width (1 - 5)                                                                                                              | 1                     |
| outline\_color          | optional            | String    | Border color (hexadecimal value, 6 characters)                                                                                    | 333333                |
| destination             | optional            | String    | Onclick link (magazinePage or magazine)                                                                                           | magazine              |
| destination\_fullscreen | optional            | String    | Onclick link fullscreen (y or n)                                                                                                  | y                     |
| download\_pdf\_enabled  | optional            | String    | Show download pdf link (y or n)                                                                                                   | n                     |
| download\_pdf\_title    | optional            | String    | Text of the download PDF link                                                                                                     | download PDF          |

#### Request parameters by type (4 = button)

| Name                    | Optional / Required | Data type | Description                                                                                                                       | Default               |
| ----------------------- | ------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
| start\_page             | optional            | Integer   | Start magazine from page x                                                                                                        | 1                     |
| width                   | optional            | Integer   | Width of the embed                                                                                                                | 118                   |
| height                  | optional            | Integer   | Height of the embed                                                                                                               | 39                    |
| title                   | optional            | String    | Max. characters 255                                                                                                               | Magazine title        |
| text\_font\_family      | optional            | String    | The font family used. It can be a system font or a Google Font (Attention: Some Google Fonts may be loaded through external APIs) | ABeeZee:regular:latin |
| text\_font\_weight      | optional            | String    | Bold (y) or normal (n) font weight                                                                                                | n                     |
| text\_font\_style       | optional            | String    | Italic font (y or n)                                                                                                              | n                     |
| text\_font\_size        | optional            | Integer   | Font size in px (8 - 76)                                                                                                          | 14                    |
| text\_font\_color       | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | FFFFFF                |
| background\_color       | optional            | String    | Hexadecimal value, 6 characters or transparent                                                                                    | 253139                |
| destination             | optional            | String    | Onclick link (magazinePage or magazine)                                                                                           | magazine              |
| destination\_fullscreen | optional            | String    | Onclick link fullscreen (y or n)                                                                                                  | y                     |
| download\_pdf\_enabled  | optional            | String    | Show download pdf link (y or n)                                                                                                   | n                     |
| download\_pdf\_title    | optional            | String    | Text of the download PDF link                                                                                                     | download PDF          |

#### Request parameters by type (5 = cover)

| Name                    | Optional / Required | Data type | Description                                                                                                                       | Default               |
| ----------------------- | ------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
| start\_page             | optional            | Integer   | Start magazine from page x                                                                                                        | 1                     |
| width                   | optional            | Integer   | Width of the embed                                                                                                                | 280                   |
| height                  | optional            | Integer   | Height of the embed                                                                                                               | 399                   |
| title                   | optional            | String    | Max. characters 255                                                                                                               | Magazine title        |
| title\_font\_family     | optional            | String    | The font family used. It can be a system font or a Google Font (Attention: Some Google Fonts may be loaded through external APIs) | ABeeZee:regular:latin |
| title\_font\_weight     | optional            | String    | Bold (y) or normal (n) font weight                                                                                                | n                     |
| title\_font\_style      | optional            | String    | Italic font (y or n)                                                                                                              | n                     |
| title\_font\_size       | optional            | Integer   | Font size in px (8 - 76)                                                                                                          | 14                    |
| title\_font\_color      | optional            | String    | Hexadecimal value, 6 characters                                                                                                   | FFFFFF                |
| headline\_enabled       | optional            | String    | Display headline (title must also be set) - y or n                                                                                | y                     |
| username\_enabled       | optional            | String    | Display username (title must also be set) - y or n                                                                                | y                     |
| background\_color       | optional            | String    | Hexadecimal value, 6 characters or transparent                                                                                    | 253139                |
| destination             | optional            | String    | Onclick link (magazinePage or magazine)                                                                                           | magazine              |
| destination\_fullscreen | optional            | String    | Onclick link fullscreen (y or n)                                                                                                  | y                     |
| border\_disabled        | optional            | String    | Show just cover, no border, no username, no title (y or n)                                                                        | n                     |
| download\_pdf\_enabled  | optional            | String    | Show download pdf link (y or n)                                                                                                   | n                     |
| download\_pdf\_title    | optional            | String    | Text of the download PDF link                                                                                                     | download PDF          |
| cover\_c2r\_enabled     | optional            | String    | Click to read (y or n)                                                                                                            | n                     |

#### Request parameters by type (6 = bookshelf)

| Name                    | Optional / Required | Data type | Description                                        | Default |
| ----------------------- | ------------------- | --------- | -------------------------------------------------- | ------- |
| section\_title\_enabled | optional            | String    | Show section titles (y or n)                       | y       |
| headline\_enabled       | optional            | String    | Display headline (title must also be set) - y or n | y       |
| background\_color       | optional            | String    | Hexadecimal value, 6 characters                    | 253139  |
| destination\_fullscreen | optional            | String    | Onclick link fullscreen (y or n)                   | y       |
| force\_swf\_overlay     | optional            | String    | Force SWF overlay (y or n)                         | n       |
| cpMagT                  | optional            | String    | Show centipede magazine titles (no, top or bottom) | no      |

#### Request parameters by type (7 = player\_preset)

| Name                            | Optional / Required | Data type | Description                                                                              | Default       |
| ------------------------------- | ------------------- | --------- | ---------------------------------------------------------------------------------------- | ------------- |
| start\_page                     | optional            | Integer   | Start magazine from page x                                                               | 1             |
| width                           | optional            | Integer   | Width of the embed                                                                       | 620           |
| height                          | optional            | Integer   | Height of the embed                                                                      | 548           |
| background\_color               | optional            | String    | Hexadecimal value, 6 characters                                                          | 253139        |
| icons\_color                    | optional            | String    | Hexadecimal value, 6 characters                                                          | ffffff        |
| arrows\_color                   | optional            | String    | Hexadecimal value, 6 characters                                                          | ffffff        |
| player\_autoflip\_enabled       | optional            | String    | Autoflip pages (y or n)                                                                  | n             |
| player\_c2r\_enabled            | optional            | String    | Display click to read button (y or n)                                                    | y             |
| player\_c2r\_text               | optional            | String    | Click to read text                                                                       | Click to read |
| player\_c2r\_destination        | optional            | String    | Onclick link of click to read button (fullscreen or onyumpu)                             | fullscreen    |
| player\_c2r\_type               | optional            | String    | Template style of click to read button (buttonClassic, buttonRounded, iconEye, iconPlay) | buttonClassic |
| player\_elements\_page\_numbers | optional            | String    | Display page numbers (y or n)                                                            | y             |
| player\_elements\_logo          | optional            | String    | Display logo (y or n)                                                                    | y             |
| player\_elements\_overview      | optional            | String    | Display overview (y or n)                                                                | y             |
| player\_elements\_search\_embed | optional            | String    | Display search button in GUI when embedded == true (y or n)                              | n             |
| player\_elements\_fs\_share     | optional            | String    | Display facebook link (y or n)                                                           | y             |
| player\_elements\_fs\_download  | optional            | String    | Display dowload link (y or n)                                                            | y             |
| player\_elements\_fs\_print     | optional            | String    | Display link to print the magazine (y or n)                                              | y             |
| player\_elements\_fs\_recom     | optional            | String    | Display recommended (y or n)                                                             | y             |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;document\_id  type&#x20;

Run request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X POST -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "document_id=11199" -d "type=2" -d "width=500" -d "background_shape=square" -d "color=grey" -d "destination=https://www.yumpu.com" "https://api.yumpu.com/2.0/embed.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'document_id' => 11199,
    'type' => 2,
    'width' => 500,
    'background_shape' => 'square',
    'color' => 'grey',
    'destination' => 'http://www.yumpu.com'
);
$postEmbed = $yumpu->postEmbed($data);
print_r($postEmbed);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  document_id: '11199',
  type: 2,
  width: 500,
  background_shape: 'square',
  color: 'grey',
  destination: 'http://www.yumpu.com'
};
yumpu.postEmbed(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"document_id=11199", "type=2", "width=500", background_shape=square", color=grey", "destination=http://www.yumpu.com"};
System.out.println(y.postEmbed(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```bash
{
  "embed": {
    "id": "zKtHE23d6R0qT1rf",
    "user_id": 10000,
    "document_id": "11199",
    "type": "4",
    "create_date": "2014-12-03 10:57:49",
    "code": "iframe",
    "settings": {
      "background_color": 253139,
      "destination": "https://www.yumpu.com",
      "download_pdf_enabled": 1,
      "height": "100",
      "start_page": 1,
      "text_font_color": "0082b2",
      "text_font_family": "ABeeZee:regular:latin",
      "text_font_size": 14,
      "text_font_style": "off",
      "text_font_weight": "off",
      "width": "100"
    }
  },
  "state": "success",
  "completed_in": "0.0665"
}
```
